# SystemDynamics
Free library for modeling according to the principles of system dynamics of J. Forrester.

## Library description

The SystemDynamics library allows to model according to the principles of system dynamics originated by J.W. Forrester in the 1960's. The field of system dynamics is not new and well established, hence, the novelty and value of this library is not to be seen in the modeling principles of system dynamics themselves, rather, in the combination of system dynamics modeling with the vast object-oriented, multi-formalism, physical modeling capabilities of Modelica.

System dynamics is widespread mainly in economics, management, biology and environmental areas. The SystemDynamics Modelica library paves the way for integrated treatment of socio-technical systems, having both continuous-time and discrete-event aspects. In addition, it is thought valuable to be able to use the System Dynamics modeling concept, which supports the "top-down" modeling approach, together with the inherent "bottom-up" approach of physical object-oriented modeling.

The documentation is included in the source code package.

## Current release

Download [SystemDynamics v2.0 (2007-09-13)](../../archive/v2.0.zip)

#### Release notes
* [Version v2.0 (2007-09-13)](../../archive/v2.0.zip)
  * `SystemDynamics 2.0` constitutes a completely reworked release of the SystemDynamics library. This version is based in part on Version 1.0, and in part on a different and independently created version of a System Dynamics library for Dymola/Modelica, a version that had been developed by Prof. Cellier and his students at the University of Arizona, and had been around in a much reduced form since 2001.
* Version v1.0 (2002-04-09)
  * `SystemDynamics 1.0` constituted the first official release of the SystemDynamics library. That version was created by Stefan Fabricius in 2002, at a time when Stefan worked as a Ph.D. student at ETH Zurich.

## License

This Modelica package is free software and the use is completely at your own risk;
it can be redistributed and/or modified under the terms of the [Modelica License 2](https://modelica.org/licenses/ModelicaLicense2).

## Development and contribution

Corresponding Author: [Prof. Fran&ccedil;ois Cellier](http://www.inf.ethz.ch/personal/fcellier/)

Other Main Author: [Dr. Stefan Fabricius](mailto:stefan.fabricius@promasim.ch)
